Results 1 to 10 of 10

Thread: Can't make the demanded packages after upgrading to 8.10

  1. #1
    Join Date
    Dec 2008
    Location
    /dev/null
    Posts
    14

    Angry Can't install Catalyst 8.12 or 8.11 on Intrepid

    Hi,

    I am in trouble because I don't have 3D acceleration after I upgraded to Ubuntu 8.10. :(

    I can't build the packages for the proprietary drivers (8.12 and I also tried with 8.11 - the only 2 that support Intrepid) for my ATI Radeon Xpress 200M integrated chip on my laptop, here's what I get when I try to build them (this is the older 8.11 release, but the same happens with the newer one too ): http://pastebin.com/f7991078c

    Too long if I try to paste it here, sorry

    And I also get this when I try to run glxgears and/or anything that demands acceleration (either 2D or 3D):

    Code:
     whiteeagle@whiteeagle-laptop:~$ glxgears glxgears: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory whiteeagle@whiteeagle-laptop:~$
    Here is the dir listing of /usr/lib/libGL:


    Code:
    whiteeagle@whiteeagle-laptop:~$ ls /usr/lib/libGL*/usr/lib/libGLEW.so.1.4    /usr/lib/libGL.so    /usr/lib/libGLU.so.1
    /usr/lib/libGLEW.so.1.4.0  /usr/lib/libGL.so.1  /usr/lib/libGLU.so.1.3.070200
    /usr/lib/libGLEW.so.1.5    /usr/lib/libGLU.a
    /usr/lib/libGLEW.so.1.5.0  /usr/lib/libGLU.so
    whiteeagle@whiteeagle-laptop:~$*

    Thanks very much guys, I hope we'll find a solution ;)
    Last edited by white_eagle; 12-12-2008 at 10:54 AM. Reason: Changed title

  2. #2
    Join Date
    Dec 2008
    Posts
    991

    Default

    Quote Originally Posted by white_eagle View Post
    Hi,

    I am in trouble because I don't have 3D acceleration after I upgraded to Ubuntu 8.10.

    Here is the dir listing of /usr/lib/libGL:


    Code:
    whiteeagle@whiteeagle-laptop:~$ ls /usr/lib/libGL*/usr/lib/libGLEW.so.1.4    /usr/lib/libGL.so    /usr/lib/libGLU.so.1
    /usr/lib/libGLEW.so.1.4.0  /usr/lib/libGL.so.1  /usr/lib/libGLU.so.1.3.070200
    /usr/lib/libGLEW.so.1.5    /usr/lib/libGLU.a
    /usr/lib/libGLEW.so.1.5.0  /usr/lib/libGLU.so
    whiteeagle@whiteeagle-laptop:~$*
    On my system libGL.so and libGL.so.1 are both symlinks to libGL.so.1.2. Looks like you are missing libGL.so.1.2

    Do a: dpkg -S libGL.so

    libgl1-mesa-dev: /usr/lib/libGL.so
    libgl1-mesa-glx: /usr/lib/libGL.so.1
    libgl1-mesa-glx: /usr/lib/libGL.so.1.2

    and reinstall the broken package.

  3. #3
    Join Date
    Aug 2007
    Posts
    6,634

    Default

    8-11 is completely broken with the packageing, 8-12 is better. For 8-11 use:

    http://kanotix.com/files/install-fglrx-debian.sh

    like this:

    sh install-fglrx-debian.sh -v 8-11

    by default it installs 8-12.

  4. #4
    Join Date
    Dec 2008
    Location
    /dev/null
    Posts
    14

    Default

    Quote Originally Posted by Kano View Post
    8-11 is completely broken with the packageing, 8-12 is better. For 8-11 use:

    http://kanotix.com/files/install-fglrx-debian.sh

    like this:

    sh install-fglrx-debian.sh -v 8-11

    by default it installs 8-12.
    Doesn't work.

    I get the following output after the script from ati.com is downloaded:

    Code:
    [Warning] Uninstall : inst_path_default or inst_path_override
     does not exist in /etc/ati.  This suggests that the ATI driver
     is not installed, the ATI driver is only partially installed,
     or the current ATI driver installed is an older version than the
     one this script was designed for.  Both files listed above are
     required for determining where installed files are located.
     To force uninstallation of the driver by guessing where the
     uninstallation files are located, set the FORCE_ATI_UNINSTALL
     environment variable and re-run ./fglrx-uninstall.sh (this is not recommended)
    Help please

  5. #5
    Join Date
    Dec 2008
    Location
    /dev/null
    Posts
    14

    Default

    Quote Originally Posted by monraaf View Post
    On my system libGL.so and libGL.so.1 are both symlinks to libGL.so.1.2. Looks like you are missing libGL.so.1.2

    Do a: dpkg -S libGL.so

    libgl1-mesa-dev: /usr/lib/libGL.so
    libgl1-mesa-glx: /usr/lib/libGL.so.1
    libgl1-mesa-glx: /usr/lib/libGL.so.1.2

    and reinstall the broken package.
    I did what you asked for me to do and get the following output:

    Code:
    libgl1-mesa-dev: /usr/lib/libGL.so
    libgl1-mesa-glx: /usr/lib/libGL.so.1
    diversion by xorg-driver-fglrx from: /usr/lib/libGL.so.1.2
    diversion by xorg-driver-fglrx to: /usr/lib/fglrx/libGL.so.1.2.xlibmesa
    diversion by xorg-driver-fglrx from: /usr/lib/libGL.so.1.2
    diversion by xorg-driver-fglrx to: /usr/lib/fglrx/libGL.so.1.2.xlibmesa
    libgl1-mesa-glx: /usr/lib/libGL.so.1.2
    Is this okay? Now what package should I reinstall? The drivers cannot be built as I said, I searched and found several people with the same problem but their solutions didn't work or they didn't even find a solution: here, here and here.

    Please reply

  6. #6
    Join Date
    Aug 2007
    Posts
    6,634

    Default

    I never had that issue, but you can try

    export FORCE_ATI_UNINSTALL=1

    /usr/share/ati/fglrx-uninstall.sh

    To uninstall it completely before. Something seems to be broken in your system.

  7. #7
    Join Date
    Dec 2008
    Location
    /dev/null
    Posts
    14

    Default

    Quote Originally Posted by Kano View Post
    I never had that issue, but you can try

    export FORCE_ATI_UNINSTALL=1

    /usr/share/ati/fglrx-uninstall.sh

    To uninstall it completely before.
    Sorry I didn't quite get what you were trying to tell me. Were you telling me I should edit fglrx-uninstal.sh and add that line at the end of it?

    Something seems to be broken in your system.
    Now we're talking

  8. #8
    Join Date
    Dec 2008
    Location
    /dev/null
    Posts
    14

    Default

    UPDATE:

    After installing the libgl1-mesa-swx11 package (and it removed some other packages) I finally have gotten glxinfo to work (which took care of libgl.so.1), and it spits out this:

    Code:
    whiteeagle@whiteeagle-laptop:~$ glxinfo
    name of display: :0.0
    display: :0  screen: 0
    direct rendering: No (If you want to find out why, try setting LIBGL_DEBUG=verbose)
    server glx vendor string: Brian Paul
    server glx version string: 1.4 Mesa 7.2
    server glx extensions:
        GLX_MESA_copy_sub_buffer, GLX_MESA_pixmap_colormap, 
        GLX_MESA_release_buffers, GLX_ARB_get_proc_address, 
        GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, GLX_EXT_visual_rating, 
        GLX_SGIX_fbconfig, GLX_SGIX_pbuffer
    client glx vendor string: Brian Paul
    client glx version string: 1.4 Mesa 7.2
    client glx extensions:
        GLX_MESA_copy_sub_buffer, GLX_MESA_pixmap_colormap, 
        GLX_MESA_release_buffers, GLX_ARB_get_proc_address, 
        GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, GLX_EXT_visual_rating, 
        GLX_SGIX_fbconfig, GLX_SGIX_pbuffer
    GLX version: 1.4
    GLX extensions:
        GLX_MESA_copy_sub_buffer, GLX_MESA_pixmap_colormap, 
        GLX_MESA_release_buffers, GLX_ARB_get_proc_address, 
        GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, GLX_EXT_visual_rating, 
        GLX_SGIX_fbconfig, GLX_SGIX_pbuffer
    OpenGL vendor string: Brian Paul
    OpenGL renderer string: Mesa X11
    OpenGL version string: 2.1 Mesa 7.2
    OpenGL shading language version string: 1.10
    OpenGL extensions:
        GL_ARB_depth_texture, GL_ARB_draw_buffers, GL_ARB_fragment_program, 
        GL_ARB_fragment_program_shadow, GL_ARB_fragment_shader, 
        GL_ARB_half_float_pixel, GL_ARB_imaging, GL_ARB_multisample, 
        GL_ARB_multitexture, GL_ARB_occlusion_query, GL_ARB_pixel_buffer_object, 
        GL_ARB_point_parameters, GL_ARB_point_sprite, GL_ARB_shader_objects, 
        GL_ARB_shading_language_100, GL_ARB_shadow, GL_ARB_shadow_ambient, 
        GL_ARB_texture_border_clamp, GL_ARB_texture_compression, 
        GL_ARB_texture_cube_map, GL_ARB_texture_env_add, 
        GL_ARB_texture_env_combine, GL_ARB_texture_env_crossbar, 
        GL_ARB_texture_env_dot3, GL_ARB_texture_mirrored_repeat, 
        GL_ARB_texture_non_power_of_two, GL_ARB_texture_rectangle, 
        GL_ARB_transpose_matrix, GL_ARB_vertex_buffer_object, 
        GL_ARB_vertex_program, GL_ARB_vertex_shader, GL_ARB_window_pos, 
        GL_EXT_abgr, GL_EXT_bgra, GL_EXT_blend_color, 
        GL_EXT_blend_equation_separate, GL_EXT_blend_func_separate, 
        GL_EXT_blend_logic_op, GL_EXT_blend_minmax, GL_EXT_blend_subtract, 
        GL_EXT_clip_volume_hint, GL_EXT_compiled_vertex_array, GL_EXT_convolution, 
        GL_EXT_copy_texture, GL_EXT_depth_bounds_test, GL_EXT_draw_range_elements, 
        GL_EXT_framebuffer_object, GL_EXT_framebuffer_blit, GL_EXT_fog_coord, 
        GL_EXT_gpu_program_parameters, GL_EXT_histogram, GL_EXT_multi_draw_arrays, 
        GL_EXT_packed_depth_stencil, GL_EXT_packed_pixels, 
        GL_EXT_paletted_texture, GL_EXT_pixel_buffer_object, 
        GL_EXT_point_parameters, GL_EXT_polygon_offset, GL_EXT_rescale_normal, 
        GL_EXT_secondary_color, GL_EXT_separate_specular_color, 
        GL_EXT_shadow_funcs, GL_EXT_shared_texture_palette, GL_EXT_stencil_wrap, 
        GL_EXT_subtexture, GL_EXT_texture, GL_EXT_texture3D, 
        GL_EXT_texture_edge_clamp, GL_EXT_texture_env_add, 
        GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3, 
        GL_EXT_texture_lod_bias, GL_EXT_texture_mirror_clamp, 
        GL_EXT_texture_object, GL_EXT_texture_rectangle, GL_EXT_texture_sRGB, 
        GL_EXT_timer_query, GL_EXT_vertex_array, GL_APPLE_packed_pixels, 
        GL_APPLE_vertex_array_object, GL_ATI_blend_equation_separate, 
        GL_ATI_texture_env_combine3, GL_ATI_texture_mirror_once, 
        GL_ATI_fragment_shader, GL_ATI_separate_stencil, 
        GL_IBM_multimode_draw_arrays, GL_IBM_rasterpos_clip, 
        GL_IBM_texture_mirrored_repeat, GL_INGR_blend_func_separate, 
        GL_MESA_pack_invert, GL_MESA_program_debug, GL_MESA_resize_buffers, 
        GL_MESA_texture_array, GL_MESA_ycbcr_texture, GL_MESA_window_pos, 
        GL_NV_blend_square, GL_NV_fragment_program, GL_NV_light_max_exponent, 
        GL_NV_point_sprite, GL_NV_texture_rectangle, GL_NV_texgen_reflection, 
        GL_NV_vertex_program, GL_NV_vertex_program1_1, GL_OES_read_format, 
        GL_SGI_color_matrix, GL_SGI_color_table, GL_SGI_texture_color_table, 
        GL_SGIS_generate_mipmap, GL_SGIS_texture_border_clamp, 
        GL_SGIS_texture_edge_clamp, GL_SGIS_texture_lod, GL_SGIX_depth_texture, 
        GL_SGIX_shadow, GL_SGIX_shadow_ambient, GL_SUN_multi_draw_arrays
    
    3 GLX Visuals
       visual  x  bf lv rg d st colorbuffer ax dp st accumbuffer  ms  cav
     id dep cl sp sz l  ci b ro  r  g  b  a bf th cl  r  g  b  a ns b eat
    ----------------------------------------------------------------------
    0x21 24 tc  0 24  0 r  y  .  8  8  8  0  0 16  8 16 16 16 16  0 0 None
    0x22 24 dc  0 24  0 r  y  .  8  8  8  0  0 16  8 16 16 16 16  0 0 None
    0x46 32 tc  0 32  0 r  y  .  8  8  8  0  0 16  8 16 16 16  0  0 0 None
    
    3 GLXFBConfigs:
       visual  x  bf lv rg d st colorbuffer ax dp st accumbuffer  ms  cav
     id dep cl sp sz l  ci b ro  r  g  b  a bf th cl  r  g  b  a ns b eat
    ----------------------------------------------------------------------
    0x21  0 tc  0 24  0 r  y  .  8  8  8  0  0 16  8 16 16 16 16  0 0 None
    0x22  0 dc  0 24  0 r  y  .  8  8  8  0  0 16  8 16 16 16 16  0 0 None
    0x46  0 tc  0 32  0 r  y  .  8  8  8  0  0 16  8 16 16 16 16  0 0 None
    
    whiteeagle@whiteeagle-laptop:~$ xmoto
    whiteeagle@whiteeagle-laptop:~$ sudo dpkg --reconfigure xserver-xgl
    [sudo] password for whiteeagle: 
    dpkg: unknown option --reconfigure
    
    Type dpkg --help for help about installing and deinstalling packages[*];
    Use `dselect' or `aptitude' for user-friendly package management;
    Type dpkg -Dhelp for a list of dpkg debug flag values;
    Type dpkg --force-help for a list of forcing options;
    Type dpkg-deb --help for help about manipulating *.deb files;
    Type dpkg --license for copyright license and lack of warranty (GNU GPL)[*].
    
    Options marked[*] produce a lot of output - pipe it through `less' or `more' !
    whiteeagle@whiteeagle-laptop:~$
    and I also recently found out that nVidia drivers were installed!!! I don't know how that happened but I hope after removing them, building will finally work.

    I will update this after I do that.

  9. #9
    Join Date
    Aug 2007
    Posts
    6,634

    Default

    You don't install xserver-xgl, ergo you can not reconfigure it, it is xserver-xorg which creates the xorg.conf if none is there.

  10. #10
    Join Date
    Dec 2008
    Location
    /dev/null
    Posts
    14

    Default

    Nevermind everyone I solved it by removing the nVidia drivers, and reseting to mesa, and after that I installed the ATI drivers 'the Ubuntu way' rebooted, reverted to a working backup of xorg.conf which I used in the past, running aticonfig --initial and rebooting.

    Now I get this when I run fglrxinfo in terminal:
    Code:
    whiteeagle@whiteeagle-laptop:~$ fglrxinfo
    display: :0.0  screen: 0
    OpenGL vendor string: ATI Technologies Inc.
    OpenGL renderer string: ATI Radeon Xpress Series
    OpenGL version string: 2.1.8201 Release
    
    whiteeagle@whiteeagle-laptop:~$
    As is to me, this question is resolved.

    Thanks Kano and moonraaf for your support

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •